# Delete a Video

Deletes a video by its ID. Supports both generated videos and translated videos.

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Responses** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/video.delete": {
      "delete": {
        "summary": "Delete a Video",
        "description": "This endpoint allows deletion of avatar videos only. It does not support deleting translated videos.",
        "operationId": "delete-a-video",
        "parameters": [
          {
            "name": "video_id",
            "in": "query",
            "description": "Unique identifier of the video to be deleted. Depending on your video type, this can be retrieved from either the <a href=\"https://docs.heygen.com/update/reference/create-an-avatar-video-v2\" target=\"_blank\">Create Avatar Video (V2)</a> or the <a href=\"https://docs.heygen.com/update/reference/video-translate\" target=\"_blank\">Translate Video</a> endpoint.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "type",
            "in": "query",
            "description": "Category of the video (e.g., generated or translated). Use `heygen_video` when deleting generated videos, and `video_translate` when deleting translated videos.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Video deleted successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "code": 100,
                      "data": {
                        "Deleted": [
                          "vb606c57ee8042f4b499a6ab42183c2a-hi"
                        ],
                        "Failed": []
                      },
                      "msg": null,
                      "message": "Successfully deleted 1 video IDs"
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 100,
                      "default": 0,
                      "description": "Status code indicating the result of the API request. A 100 indicates a successful response. Other codes might indicate different types of errors. Refer to the <a href=\"https://docs.heygen.com/reference/errors\" target=\"_blank\">error responses</a> for more details. "
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "Deleted": {
                          "type": "string",
                          "description": "ID(s) of the deleted video(s). "
                        },
                        "Failed": {
                          "type": "string",
                          "description": "ID(s) of the video that could not be deleted. "
                        }
                      },
                      "description": "Contains details of the delete operation."
                    },
                    "msg": {
                      "type": "string",
                      "description": "Legacy field for messages. This field is deprecated."
                    },
                    "message": {
                      "type": "string",
                      "description": "New field for messages. Contains human-readable messages explaining the status of the request. In case of errors, it returns an explanation."
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Video Not Found",
            "content": {
              "application/json": {
                "examples": {
                  "Video Not Found": {
                    "value": {
                      "code": 400569,
                      "message": "ResourceType.VIDEO_TRANSLATE not found"
                    },
                    "summary": "Video Not Found"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```